    disp('test 1 (baseline)')
    odeOpt = odeset ( 'Events', [], 'InitialStep', 1, 'OutputFcn', [], ...
      'Refine', 1, 'MaxStep', 1 )
    [t, y] = ode45 ( @(t,y) 1, [0,1,2,2.5], [0], odeOpt )
    structOut = ode45 ( @(t,y) 1, [0,1,2,2.5], [0], odeOpt )

    disp('test 2 (event only)')
    odeOpt = odeset ( 'Events', @testEvent, 'InitialStep', 1, 'OutputFcn', [], ...
      'Refine', 1, 'MaxStep', 1 )
    [t, y] = ode45 ( @(t,y) 1, [0,1,2,2.5], [0], odeOpt )
    structOut = ode45 ( @(t,y) 1, [0,1,2,2.5], [0], odeOpt )

    disp('test 3 (output function only)')
    odeOpt = odeset ( 'Events', [], 'InitialStep', 1, 'OutputFcn', @testFuncOut, ...
      'Refine', 1, 'MaxStep', 1 )
    [t, y] = ode45 ( @(t,y) 1, [0,1,2,2.5], [0], odeOpt )
    structOut = ode45 ( @(t,y) 1, [0,1,2,2.5], [0], odeOpt )

    disp('test 4 (event and output function)')
    odeOpt = odeset ( 'Events', @testEvent, 'InitialStep', 1, 'OutputFcn', @testFuncOut, ...
      'Refine', 1, 'MaxStep', 1 )
    [t, y] = ode45 ( @(t,y) 1, [0,1,2,2.5], [0], odeOpt )
    structOut = ode45 ( @(t,y) 1, [0,1,2,2.5], [0], odeOpt )
